[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'GraphType' (#lcl)

# CopyImageData

CopyImageData - copies data from ASource to ADestination, returning True if successful

## Declaration

Source position: graphtype.pp line 274

`function CopyImageData(`
`AWidth: Integer;`
`AHeight: Integer;`
`ARowStride: Integer;`
`ABPP: Word;`
`ASource: Pointer;`
`const ARect: TRect;`
`ASourceOrder: TRawImageLineOrder;`
`ADestinationOrder: TRawImageLineOrder;`
`ADestinationEnd: TRawImageLineEnd;`
`out ADestination: Pointer;`
`out ASize: PtrUInt`
`):Boolean;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.